# Class PaddingParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Padding>
uk.ac.starlink.ttools.plot2.task.PaddingParameter

public class PaddingParameter extends uk.ac.starlink.task.Parameter<Padding>
Parameter for receiving a Padding specification. The string representation is 4 integers separated by commas; any of the places may be blank. The sequence of values (top,left,bottom,right) follows that of `Insets`.

Since:
  9 Dec 2016
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`PaddingParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`objectToString(uk.ac.starlink.task.Environment env, Padding padding)`
`Padding`
`stringToObject(uk.ac.starlink.task.Environment env, String stringval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PaddingParameter

public PaddingParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringToObject

public Padding stringToObject(uk.ac.starlink.task.Environment env, String stringval) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<Padding>`
Throws:
  `uk.ac.starlink.task.TaskException`

### objectToString

public String objectToString(uk.ac.starlink.task.Environment env, Padding padding)

Overrides:
  `objectToString` in class `uk.ac.starlink.task.Parameter<Padding>`